<p align="center">
    <picture>
        <source 
            width="350" 
            media="(prefers-color-scheme: dark)"
            srcset="https://github.com/qruto/laravel-wave/raw/HEAD/art/logo-dark.png"
        >
        <source
            width="350"
            media="(prefers-color-scheme: light)"
            srcset="https://github.com/qruto/laravel-wave/raw/HEAD/art/logo-light.png"
        >
        <img
            alt="Laravel Wave Logo"
            src="https://github.com/qruto/laravel-wave/raw/HEAD/art/logo-light.png"
            width="350"
        >
    </picture>
</p>
<p align="center">Bring <strong>live</strong> to your application</p>

<p align="center">
    <a href="https://github.com/qruto/laravel-wave-client/actions/workflows/tests.yml"><img src="https://github.com/qruto/laravel-wave-client/actions/workflows/tests.yml/badge.svg" alt="Build Status"></a>
    <a href="https://github.com/qruto/laravel-wave-client/actions/workflows/codeql-analysis.yml"><img src="https://github.com/qruto/laravel-wave-client/actions/workflows/codeql-analysis.yml/badge.svg" alt="Code Quality"></a>
    <a href="https://www.npmjs.com/package/laravel-wave"><img src="https://img.shields.io/npm/dt/laravel-wave" alt="Total Downloads"></a>
    <a href="https://www.npmjs.com/package/laravel-wave"><img src="https://img.shields.io/npm/v/laravel-wave" alt="Latest Stable Version"></a>
</p>

<p align="center">
    <picture>
        <source media="(prefers-color-scheme: dark)" srcset="https://github.com/qruto/laravel-wave/raw/HEAD/art/connection-demo-dark.png">
        <source media="(prefers-color-scheme: light)" srcset="https://github.com/qruto/laravel-wave/raw/HEAD/art/connection-demo-light.png">
        <img alt="Laravel Wave Logo" src="https://github.com/qruto/laravel-wave/raw/HEAD/art/connection-demo-light.png" width="400">
    </picture>
</p>

# Introduction

Unlock the power of Laravel's [broadcasting system](https://laravel.com/docs/master/broadcasting)
with **Wave**. Imagine that real-time server broadcasting is possible over native HTTP without any WebSockets setup.

Meet the [**Server-sent Events**](https://developer.mozilla.org/en-US/docs/Web/API/Server-sent_events) 🗼 Works seamlessly with Laravel's default `redis` broadcasting driver and supports [Laravel Echo](https://github.com/laravel/echo).

> Server-Sent Events (**SSE**) is specially tuned for real-time server-to-client communication.

Experience it live with our [demo streaming tweets](https://wave.qruto.dev) 🐤.

## Support

In light of recent events in Ukraine, my life has taken an unexpected turn.
Since February 24th, I've lost my commercial work, my permanent residence,
and my ability to plan for the future.

During these challenging times, I derive strength and purpose from creating 
open source projects, such as Wave.

[![support me](https://raw.githubusercontent.com/slavarazum/slavarazum/main/support-banner.png)](https://github.com/sponsors/qruto)

I welcome you to visit my [GitHub Sponsorships profile](https://github.com/sponsors/qruto). 
There, you can discover more about my current work, future ambitions, and aspirations. 
Every ⭐ you give brings joy to my day, and your sponsorship can make 
a profound difference in my ability to continue creating.

I'm truly grateful for your support, whether it's a shout-out or a heartfelt "thank you".

💳 [Help directly](https://revolut.me/slavarazum).

## Documentation

Refer to the [Main Readme](https://github.com/qruto/laravel-wave#introduction)
for comprehensive documentation and Laravel's Broadcasting [guidelines](https://laravel.com/docs/master/broadcasting).

## Changelog

Please see [CHANGELOG](CHANGELOG.md) for recent updates.

## Contributing

Thank you for your contribution, we're making progress together! Please see [CONTRIBUTING](https://github.com/qruto/.github/blob/main/CONTRIBUTING.md) for details.

## Security Vulnerabilities

Please review [our security policy](../../security/policy) on how to report security vulnerabilities.

## Credits

+ [Slava Razum](https://github.com/slavarazum)
+ [All Contributors](../../contributors)

## License

The MIT License (MIT). Please see [License File](LICENSE.md) for more information.
