import { EventSourceMessage } from '@qruto/fetch-event-source';
import { Options } from './echo-broadcaster/wave-connector';
import EventEmitter from './util/event-emmiter';
interface EventMap {
    connected: [id: string];
    open: [response: Response];
    reconnect: [];
    close: [];
}
export declare class EventSourceConnection {
    protected id: string;
    protected listeners: Record<string, Map<Function, (message: EventSourceMessage) => void>>;
    protected reconnecting: boolean;
    protected ctrl: AbortController;
    protected sourcePromise: Promise<void>;
    protected bus: EventEmitter<EventMap>;
    constructor(endpoint: string, options?: Options, reconnect?: boolean);
    private create;
    getId(): string;
    getSourcePromise(): Promise<void>;
    subscribe(event: string, callback: Function): void;
    unsubscribe(event: string): void;
    removeListener(event: string, callback: Function): void;
    disconnect(): void;
    on<K extends keyof EventMap>(event: K, callback: (...args: EventMap[K]) => void): void;
    off<K extends keyof EventMap>(event: K, callback: (...args: EventMap[K]) => void): void;
    once<K extends keyof EventMap>(event: K, callback: (...args: EventMap[K]) => void): void;
}
export {};
