import { Channel, EventFormatter } from "laravel-echo";
import { EventSourceConnection } from '../EventSourceConnection';
export default class WaveChannel extends Channel {
    /**
     * Server sent event connector instance
     */
    connection: EventSourceConnection;
    /**
     * The name of the channel
     */
    name: string;
    /**
     * Channel options
     */
    options: any;
    /**
     * The event formatter.
     */
    eventFormatter: EventFormatter;
    /**
     * The event callbacks applied to the channel.
     */
    protected events: string[];
    /**
     * Create a new class instance.
     */
    constructor(connection: any, name: any, options: any);
    /**
     * Listen for an event on the channel instance.
     */
    listen(event: any, callback: any): this;
    /**
     * Stop listening for an event on the channel instance.
     */
    stopListening(event: any): this;
    /**
     * Bind the channel's socket to an event and store the callback.
     */
    on(event: string, callback: Function): WaveChannel;
    subscribe(): void;
    unsubscribe(): void;
    subscribed(callback: (id: string) => void): WaveChannel;
    error(callback: Function): WaveChannel;
}
