import { Connector } from 'laravel-echo';
import WaveChannel from './wave-channel';
import WavePrivateChannel from './wave-private-channel';
import WavePresenceChannel from './wave-presence-channel';
export interface Options {
    endpoint?: string;
    namespace: string;
    auth?: {
        headers: Record<string, string>;
    };
    authEndpoint?: string;
    csrfToken?: string;
    bearerToken?: string;
    request?: RequestInit;
    pauseInactive?: boolean;
    debug?: boolean;
}
export declare class WaveConnector extends Connector {
    private connection;
    private channels;
    constructor(options: Options);
    connect(): void;
    channel(channel: string): WaveChannel;
    presenceChannel(channel: any): WavePresenceChannel;
    privateChannel(channel: any): WavePrivateChannel;
    disconnect(): void;
    leave(channel: string): void;
    /**
     * Leave the given channel.
     */
    leaveChannel(channel: string): void;
    socketId(): string;
}
