type Listener<T extends any[]> = (...args: T) => void;
export default class EventEmitter<EventMap extends Record<keyof EventMap, any[]>> {
    private listeners;
    once<K extends keyof EventMap>(event: K, listener: Listener<EventMap[K]>): void;
    on<K extends keyof EventMap>(event: K, listener: Listener<EventMap[K]>): void;
    emit<K extends keyof EventMap>(event: K, ...args: EventMap[K]): void;
    off<K extends keyof EventMap>(event: K, listener: Listener<EventMap[K]>): void;
}
export {};
