import { EventSourceConnection } from "./EventSourceConnection";
import { Options } from './echo-broadcaster/wave-connector';
export declare class WaveModel {
    name: string;
    key: string;
    protected connection: EventSourceConnection;
    protected channel: string;
    protected auth: Promise<Response>;
    private callbackMap;
    private notificationCallbacks;
    private readonly options;
    constructor(name: string, key: string, connection: EventSourceConnection, options: Options);
    protected listenEvent(event: string, callback: Function): WaveModel;
    protected listenEvent(model: string, event: string, callback: Function): WaveModel;
    created(callback: Function): WaveModel;
    created(model: string, callback: Function): WaveModel;
    updated(callback: Function): WaveModel;
    updated(model: string, callback: Function): WaveModel;
    deleted(callback: Function): WaveModel;
    deleted(model: string, callback: Function): WaveModel;
    restored(callback: Function): WaveModel;
    restored(model: string, callback: Function): WaveModel;
    trashed(callback: Function): WaveModel;
    trashed(model: string, callback: Function): WaveModel;
    stopListening(event: string, callback: Function): WaveModel;
    stopListening(model: string, event: string, callback: Function): WaveModel;
    notification(type: string, callback: Function): WaveModel;
    stopListeningNotification(type: string, callback: Function): WaveModel;
}
